#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libdvdread-6.1.1

- Next

  Libdv-1.0.0

- Up
- Home

# Libdvdnav-6.1.0

## Introduction to Libdvdnav

libdvdnav is a library that allows easy use of sophisticated DVD navigation features such as DVD menus, multiangle playback and even interactive DVD games.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://get.videolan.org/libdvdnav/6.1.0/libdvdnav-6.1.0.tar.bz2

- Download MD5 sum: 8817ac12c13644df6ba2091c2dcaeed3

- Download size: 364 KB

- Estimated disk space required: 3.7 MB

- Estimated build time: less than 0.1 SBU

### Libdvdnav Dependencies

#### Required

libdvdread-6.1.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libdvdnav

## Installation of Libdvdnav

Install libdvdnav by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libdvdnav-6.1.0 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libdvdnav.so
Installed Directories: /usr/include/dvdnav and /usr/share/doc/libdvdnav-6.1.0

### Short Descriptions

`libdvdnav.so` | is the DVD navigation library

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  Libdvdread-6.1.1

- Next

  Libdv-1.0.0

- Up
- Home